Bug 480957 - rhn-search & spacewalk-search file conflicts during 520 -> 530 upgrade
rhn-search & spacewalk-search file conflicts during 520 -> 530 upgrade
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zázrivec
Jeff Browning
:
Depends On:
Blocks: 456986
  Show dependency treegraph
 
Reported: 2009-01-21 10:09 EST by Milan Zázrivec
Modified: 2009-08-27 13:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 13:38:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2009-01-21 10:09:15 EST
Description of problem:
* Satellite 5.2.0 installation, upgrade to Satellite-5.3.0-RHEL5-re20090119.1:

file /etc/init.d/rhn-search from install of spacewalk-search-0.4.10-1.el5sat conflicts with file from package rhn-search-5.2.0-4.el5

file /etc/rhn/search/rhn_search.conf from install of spacewalk-search-0.4.10-1.el5sat conflicts with file from package rhn-search-5.2.0-4.el5

file /etc/rhn/search/rhn_search_daemon.conf from install of spacewalk-search-0.4.10-1.el5sat conflicts with file from package rhn-search-5.2.0-4.el5

file /usr/share/rhn/search/classes/com/redhat/satellite/search/db/config.xml from install of spacewalk-search-0.4.10-1.el5sat conflicts with file from package rhn-search-5.2.0-4.el5

file /usr/share/rhn/search/classes/com/redhat/satellite/search/db/package.xml from install of spacewalk-search-0.4.10-1.el5sat conflicts with file from package rhn-search-5.2.0-4.el5

file /usr/share/rhn/search/classes/log4j.properties from install of spacewalk-search-0.4.10-1.el5sat conflicts with file from package rhn-search-5.2.0-4.el5

# rpm -qp --obsoletes spacewalk-search-0.4.10-1.el5sat.noarch.rpm 
rhn-search <= 0.1

Version-Release number of selected component (if applicable):
spacewalk-search-0.4.10-1
Satellite-5.3.0-RHEL5-re20090119.1
Comment 1 Milan Zázrivec 2009-01-21 12:32:39 EST
Fixed in spacewalk.git master: 11147a90d223142543907fdc05633667fcd9947c
Comment 2 Milan Zázrivec 2009-01-21 14:31:42 EST
Built:
spacewalk-search-0.5.1-1.el5sat
spacewalk-search-0.5.1-1.el4sat
Comment 3 Jeff Browning 2009-05-13 03:20:41 EDT
Verified
Comment 4 Miroslav Suchý 2009-08-26 10:09:35 EDT
verified in stage on xen15

* Installing RHN packages.
Warning: more packages were installed by yum than expected:
        mtools
        syslinux
        tcsh
* Now running setup.

no errors in /var/log/rhn/rhn-installation.log
Comment 5 Brandon Perkins 2009-08-27 13:38:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1235.html

Note You need to log in before you can comment on or make changes to this bug.